/**!
	* Valida - jQuery plugin to validate forms in a as simple as possible way.
	* Copyright (c) 2011-2013, Rogério Taques.
	*
	* Licensed under MIT license:
	* http://www.opensource.org/licenses/mit-license.php
	*
	* Permission is hereby granted, free of charge, to any person obtaining a copy of this
	* software and associated documentation files (the "Software"), to deal in the Software
	* without restriction, including without limitation the rights to use, copy, modify, merge,
	* publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons
	* to whom the Software is furnished to do so, subject to the following conditions:
	*
	* The above copyright notice and this permission notice shall be included in all copies or
	* substantial portions of the Software.
	*
	* THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
	* BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
	* NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
	* DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
	* OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
	*
	* @requires jQuery v1.9 or above
	* @version 2.1.7
	* @cat Plugins/Form Validation
	* @author Rogério Taques (rogerio.taques@gmail.com)
	* @see https://github.com/rogeriotaques/valida
	*
	* Contributors:
	* - Kosuke Hiraga (hiraga@brijcs.co.jp)
	*/
  
!function(t){"use strict";function e(e,a,i,n){var d=void 0!==n&&n;return a=void 0===a||a,i=void 0===i||i,e="object"==typeof e?e:t(e),i&&l(e),!e.length||c(e)?!d:(e.is("[required]")&&(!e.is("[type=checkbox]")&&""==e.val()||e.is("[type=checkbox]")&&!e.is(":checked")||e.is("select")&&!e.find("option:selected").length)?(d=!0,a&&o(e,e.is("[type=checkbox]"))):h.use_filter&&e.attr("filter")&&!r(e)&&(d=!0,a&&s(e,e.is("[type=checkbox]"))),!d)}function a(t){var e=!r(t,h);h.use_filter&&t.attr("filter")&&e?s(t,t.is("[type=checkbox]")):""!==t.val()&&t.attr("filter")&&!e?n(t,t.is("[type=checkbox]")):l(t)}function i(t,e,a){return e.val().length>a?void t.preventDefault():void e.siblings(".at-description").find("span.at-counter").html(e.val().length)}function r(t){var e,a=void 0!==t.attr("filter")&&t.attr("filter").indexOf("|")!==-1?t.attr("filter").split("|"):[t.attr("filter")],i=/^(\w\d)+/,r=!1;for(e in a)if(i=a[e],"undefined"!=typeof i&&i.indexOf(":")!==-1){if(i=a[e].split(":"),r=""!==t.val()&&!("undefined"!=typeof p[i[0]]&&p[i[0]](t.val(),t.parents("form").find("#"+i[1]).val()||i[1])))break}else if(i=p[i],r=""!==t.val()&&!t.val().match(i))break;return!r}function n(e,a){l(e),e.addClass("at-success"),e.closest(".form-group").addClass("has-success").addClass("has-feedback"),!a&&e.is(":visible")&&e.after(t("<span />",{class:"glyphicon glyphicon-ok form-control-feedback"}))}function s(e,a){var i=e.data("invalid")||(h.messages.invalid?h.messages.invalid:"This field has invalid data"),r=e.data("place-after")||e;l(e),e.addClass("at-invalid"),e.closest(".form-group").addClass("has-warning").addClass("has-feedback"),a?e.parent("label").after(t("<span />",{class:"at-warning",html:i})):(t(r).after(t("<"+(h.tag?h.tag:"p")+"/>",{class:"at-warning",html:i})),e.is(":visible")&&t(r).after(t("<span />",{class:"glyphicon glyphicon-warning-sign form-control-feedback"})))}function o(e,a){var i=e.data("required")||(h.messages.required?h.messages.required:"This field is required"),r=e.data("place-after")||e,n=e.data("place-after")||(e.closest(".form-group").hasClass("input-group")?e.closest(".form-group"):e);l(e),e.addClass("at-required"),e.closest(".form-group").addClass("has-error").addClass("has-feedback"),a?(e.parent().find(".at-error,.at-warning,.at-info,.at-success").remove(),e.next("label").after(t("<span />",{class:"at-error",html:"&nbsp;"+i}))):(t(n).after(t("<"+(h.tag?h.tag:"p")+"/>",{class:"at-error",html:i})),e.is(":visible")&&t(r).after(t("<span />",{class:"glyphicon glyphicon-remove form-control-feedback"})))}function l(t){t.removeClass("at-required at-invalid at-success"),t.is("[type=checkbox]")?t.siblings(".form-control-feedback, .at-error, .at-warning, .at-info, .at-success").remove():(t.closest(".form-group").hasClass("input-group")&&t.closest(".form-group").siblings(".form-control-feedback, .at-error, .at-warning, .at-info").remove(),t.closest(".form-group").removeClass("has-error has-warning has-success has-feedback"),t.siblings(".form-control-feedback, .at-error, .at-warning, .at-info, .at-success").remove())}function d(){t(".at-error, .at-warning, .at-info, .form-control-feedback").remove(),t(".at-required, .at-invalid, .at-success, .has-error, .has-warning, .has-feedback, .has-success").removeClass("at-required at-invalid at-success has-error has-warning has-feedback has-success")}function c(e){var a=["submit","reset","button","image"];return!(!e.is("input")||(e.is("input")&&t.inArray(e.prop("type"),a))===-1)}var f="2.1.7",u={form_validate:"novalidate",form_autocomplete:"off",tag:"p",lost_focus:!0,highlight:{marker:"*",position:"post"},messages:{submit:"Wait ...",required:"Required field",invalid:"Field with invalid data",textarea_help:'Typed <span class="at-counter">{0}</span> of {1}'},use_filter:!0,before_validate:null,after_validate:null},p={email:/^[\w!#$%&'*+\/=?^`{|}~-]+(\.[\w!#$%&'*+\/=?^`{|}~-]+)*@(([\w-]+\.)+[A-Za-z]{2,}|\[\d{1,3}(\.\d{1,3}){3}\])$/,url:/^(http[s]?:\/\/|ftp:\/\/)?(www\.)?(([\w-]+\.)+[A-Za-z]{2,}|\[\d{1,3}(\.\d{1,3}){3}\])$/,number:/^([0-9])+$/,decimal:/^([0-9]{0,3}(\,|\.){0,1}){0,2}[0-9]{1,3}(\,[0-9]{2}|\.[0-9]{2}){0,1}$/,date_br:/^([0-9]|[0,1,2][0-9]|3[0,1])\/(0[1-9]|1[0,1,2])\/\d{4}$/,date:/^\d{4}-(0[0-9]|1[0,1,2])-([0,1,2][0-9]|3[0,1])$/,time:/^([0-1][0-9]|[2][0-3])(:([0-5][0-9])){1,2}$/,phone_br:/^\(?\d{2}\)?[\s-]?([9]){0,1}\d{4}-?\d{4}$/,phone_jp:/^(((\(0\d{1}\)[\s-]?|0\d{1}-?)[2-9]\d{3}|(\(0\d{2}\)[\s-]?|0\d{2}-?)[2-9]\d{2,3}|(\(0\d{3}\)[\s-]?|0\d{3}-?)[2-9]\d{1}|(\(0\d{4}\)[\s-]?|0\d{4}-?)[2-9])-?\d{4}|(\(0\d{3}\)[\s-]?|0\d{3}-?)[2-9]\d{2}-?\d{3})$/,zipcode_us:/^([A-Z][0-9]){3}$/,zipcode_br:/^[0-9]{2}\.{0,1}[0-9]{3}\-[0-9]{3}$/,zipcode_jp:/^[0-9]{3}\-?[0-9]{4}$/,valid_ip:/^\b(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\b$/,min_length:function(t,e){return t.length>=e},max_length:function(t,e){return t.length<=e},cpf:function(t){var e=/\d{3}.\d{3}.\d{3}-\d{2}/;if(!e.test(t))return!1;var a,i,r,n,s;for(i=t.replace(/(\.|\-)/g,""),s=!0,a=0;a<i.length-1;a++)if(i.charAt(a)!=i.charAt(a+1)){s=!1;break}if(s)return!1;for(r=i.substr(9,2),i=i.substr(0,9),n=0,a=0;a<9;a++)n+=i.charAt(a)*(10-a);if(0==n)return!1;if(n=11-n%11,n>9&&(n=0),r.charAt(0)!=n)return!1;for(n*=2,a=0;a<9;a++)n+=i.charAt(a)*(11-a);return n=11-n%11,n>9&&(n=0),r.charAt(1)==n},cnpj:function(t){var e=/\d{1,2}.\d{3}.\d{3}\/\d{4}-\d{2}/;if(!e.test(t))return!1;var a,i,r,n,s,o,l,d,c;for(i=t.replace(/(\.|\/|\-)/g,""),c=!0,a=0;a<i.length-1;a++)if(i.charAt(a)!=i.charAt(a+1)){c=!1;break}if(c)return!1;for(d=i,l=i.length-2,r=i.substr(l,2),i=i.substr(0,l),n=0,o=l-7,a=l;a>=1;a--)n+=i.charAt(l-a)*o--,o<2&&(o=9);if(s=n%11<2?0:11-n%11,s!=r.charAt(0))return!1;for(l+=1,i=d.substr(0,l),n=0,o=l-7,a=l;a>=1;a--)n+=i.charAt(l-a)*o--,o<2&&(o=9);return s=n%11<2?0:11-n%11,s==r.charAt(1)},matches:function(e,a){try{a=t("#"+a).val()||a}catch(t){}return e==a},greater_than:function(t,e){return!(!t.match(p.number)||!e.match(p.number))&&parseInt(t,10)>parseInt(e,10)},less_than:function(t,e){return!(!t.match(p.number)||!e.match(p.number))&&parseInt(t,10)<parseInt(e,10)}},h={},v={version:function(){return this.each(function(){t(this).html(f)})},init:function(r){return h=t.extend({},u,r),this.each(function(){var r=t(this);r.data("old-autocomplete",r.attr("autocomplete")),r.data("old-novalidate",r.attr("novalidate")),r.attr("autocomplete",h.autocomplete||h.form_autocomplete?h.autocomplete||h.form_autocomplete:"off"),r.attr("novalidate",h.novalidate||h.form_novalidate?h.novalidate||h.form_novalidate:"novalidate"),r.find("button[type=reset], input[type=reset]").each(function(e,a){t(a).on("click.valida",function(e){d(),t("input, select, textarea").filter(":first").focus()})}),r.find("input, select, textarea").each(function(e,r){r=t(r),c(r)||(r.is("[required]")&&null!==h.highlight&&h.highlight!==!1&&t("[for="+r.attr("id")+"]").html("pre"==h.highlight.position?'<span class="at-required-highlight" >'+h.highlight.marker+"</span>&nbsp;"+t("[for="+r.attr("id")+"]").html():t("[for="+r.attr("id")+"]").html()+'&nbsp;<span class="at-required-highlight" >'+h.highlight.marker+"</span>"),h.lost_focus&&r.on("blur.valida",function(t){(r.is("select")&&r.is("[required]")&&(""===r.find("option").filter(":selected").val()||!r.find("option").length)||r.is("textarea")&&r.is("[required]")&&""===r.val()||r.is("input")&&"checkbox"===r.prop("type")&&r.is("[required]")&&!r.is(":checked")||r.is("input")&&"checkbox"!==r.prop("type")&&r.is("[required]")&&""===r.val())&&o(r,r.is("[type=checkbox]"))}),r.is("textarea")&&r.attr("maxlength")&&(r.after(t("<div />",{class:"help-block at-description",html:(r.data("help")||(h.messages.textarea_help?h.messages.textarea_help:'Typed <span class="at-counter">{0}</span> of {1}')).replace("{1}",r.attr("maxlength")).replace("{0}",r.val().length)})),r.on("keyup.valida",function(t){i(t,r,r.attr("maxlength"))}).on("keydown.valida",function(t){i(t,r,r.attr("maxlength"))})),r.on("change.valida",function(t){""!==r.val()&&r.is("select")&&l(r)}),r.is("input")&&"checkbox"===r.prop("type")&&r.is("[required]")?r.on("click.valida",function(t){l(r),r.is(":checked")||o(r,r.is("[type=checkbox]"))}):r.on("keyup.valida",function(t){""!==r.val()&&a(r)}).on("keydown.valida",function(t){a(r)}))}),r.on("submit.valida",function(a){var i=!1;if(d(),h.before_validate&&t.isFunction(h.before_validate)&&(i=!h.before_validate(a)),r.find("button[type=submit], input[type=submit]").each(function(e,a){a=t(a),a.prop("disabled",!0).data("old-value",a.is("input")?a.val():a.html()),a.is("input")?a.val(h.messages.submit||"Wait ..."):a.html(h.messages.submit||"Wait ...")}),r.find("input, select, textarea").each(function(a,r){r=t(r),i=!e(r,!0,!1,i)}),h.after_validate&&t.isFunction(h.after_validate)&&(i=!h.after_validate(a,i)),i){a.preventDefault(),r.find("button[type=submit], input[type=submit]").each(function(e,a){a=t(a),a.prop("disabled",!1),a.is("input")?a.val(a.data("old-value")):a.html(a.data("old-value"))});var n=Math.ceil(t(window).height()/2);return t(".at-required:visible, .at-invalid:visible").length>0&&t("html,body").animate({scrollTop:t(".at-required:visible, .at-invalid:visible").filter(":first").offset().top-n},"fast",function(e){t(".at-required:visible, .at-invalid:visible").filter(":first").focus()}),!1}})})},destroy:function(){var e=t(this);e.attr("autocomplete",e.data("old-autocomplete")),e.attr("novalidate",e.data("old-novalidate")),e.find("button, input[type=reset]").off("valida"),e.find("button, input[type=reset]").unbind(".valida"),e.find("input, select, textarea").off("valida"),e.find("input, select, textarea").unbind(".valida"),e.find(".help-block.at-description").remove(),e.off("valida"),e.unbind(".valida"),e.valida=null},partial:function(a,i,r){var n=e(a,i,r);if(n){var s=Math.ceil(t(window).height()/2);t(".at-required:visible, .at-invalid:visible").length>1&&t("html,body").animate({scrollTop:t(".at-required:visible, .at-invalid:visible").filter(":first").offset().top-s},"fast",function(e){t(".at-required:visible, .at-invalid:visible").filter(":first").focus()})}return n}};t.fn.valida=function(e){return v[e]?v[e].apply(this,Array.prototype.slice.call(arguments,1)):"object"!=typeof e&&e?void t.error("Method "+e+" does not exist on jQuery.valida()"):v.init.apply(this,arguments)}}(jQuery);